Bug 26194 - delete /var/cache from /etc/profile.d/shared-mime-info.*
: delete /var/cache from /etc/profile.d/shared-mime-info.*
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/shared-mime-info)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-08-30 17:52 by
Modified: 2011-09-03 22:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-30 17:52:29
/var/cache, давно пора выбрасывать из XDG_DATA_DIRS.
там должен быть только устаревший генерат.
см. обсуждение
https://bugzilla.altlinux.org/show_bug.cgi?id=11503
------- Comment #1 From 2011-08-30 17:58:05 -------
/etc/profile.d/shared-mime-info.* нужно вообще удалить имено по этой же
причине, т.к. /usr/share все обрабатывают и так, по стандарту, но невозможно в
start<DE> сделать конструкцию типа
[ -n "$XDG_DATA_DIRS" ] || export XDG_DATA_DIRS=/some:/dirs
------- Comment #2 From 2011-08-30 18:00:43 -------
да, правильно.
поддерживаю.
------- Comment #3 From 2011-08-30 18:14:05 -------
shared-mime-info-0.90-alt2 -> sisyphus:

* Tue Aug 30 2011 Yuri N. Sedunov <aris@altlinux> 0.90-alt2
- %_cachedir no more a part of XDG_DATA_DIRS variable (ALT #26194)
------- Comment #4 From 2011-08-31 15:15:06 -------
Надеюсь, никто не против, что я скопирую в p6
------- Comment #5 From 2011-08-31 16:20:30 -------
Юр! Удали /etc/profile.d/shared-mime-info.* из пакета пожалуйста
------- Comment #6 From 2011-08-31 16:31:28 -------
(In reply to comment #5)
> Юр! Удали /etc/profile.d/shared-mime-info.* из пакета пожалуйста

Тебе они не мешают, поверь :)
------- Comment #7 From 2011-08-31 17:24:52 -------
Там написано "export XDG_DATA_DIRS"
Убери пожалуйста. Эти 2 слова мне мешают.
------- Comment #8 From 2011-08-31 17:31:07 -------
shared-mime-info-0.90-alt2 -> p6:

* Tue Aug 30 2011 Yuri N. Sedunov <aris@altlinux> 0.90-alt2
- %_cachedir no more a part of XDG_DATA_DIRS variable (ALT #26194)
------- Comment #9 From 2011-08-31 17:35:24 -------
(In reply to comment #7)
> Там написано "export XDG_DATA_DIRS"
> Убери пожалуйста. Эти 2 слова мне мешают.

Пришей к $XDG_DATA_DIRS то, что тебе надо, как сделано в
/usr/bin/startgnome{,2}

# use /usr/share/gnome as a part of XDG_DATA_DIRS
export XDG_DATA_DIRS="${XDG_DATA_DIRS:+"$XDG_DATA_DIRS:"}/usr/share/gnome"
------- Comment #10 From 2011-08-31 17:58:58 -------
Мне нужно убедиться, что XDG_DATA_DIRS никто не экспортировал, кроме
пользователя.
Убери этот экспорт, а в startgnome делай все, что тебе больше по душе.
------- Comment #11 From 2011-08-31 18:00:14 -------
(В ответ на комментарий №9)
> (In reply to comment #7)
> # use /usr/share/gnome as a part of XDG_DATA_DIRS
> export XDG_DATA_DIRS="${XDG_DATA_DIRS:+"$XDG_DATA_DIRS:"}/usr/share/gnome"

Стоп. Разве /usr/share/gnome не в начале должно быть?

"The order of base directories denotes their importance; the first directory
listed is the most important. " 
http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
------- Comment #12 From 2011-08-31 18:01:45 -------
Сорри. случайно закрыл REOPENED.
------- Comment #13 From 2011-08-31 18:03:56 -------
(В ответ на комментарий №11)
> /usr/share/gnome не в начале должно быть?
Да.
В p6 поправьте тоже, пожалуйста, т.к. там я уберу export XDG_DATA_DIRS в любом
случае.
------- Comment #14 From 2011-08-31 18:04:47 -------
Т.е. для гнома правильно должно в результате должно быть
/usr/share/gnome:/usr/local/share:/usr/share
------- Comment #15 From 2011-08-31 18:07:35 -------
(В ответ на комментарий №14)
> Т.е. для гнома правильно должно в результате должно быть
> /usr/share/gnome:/usr/local/share:/usr/share
Даже /usr/local/share:/usr/share/gnome:/usr/share
, только /usr/local/share IMHO не надо. Для кастомной сборки его отдельно лучше
выставлять в каком-нибудь /usr/local/bin/startgnome или у пользователя
------- Comment #16 From 2011-08-31 18:22:06 -------
(В ответ на комментарий №13)
> В p6 поправьте тоже, пожалуйста, т.к. там я уберу export XDG_DATA_DIRS в любом
> случае.
С первой сборкой kde4base-workspace в p6 я исправлю shared-mime-info и
startgnome сам, если к этому времени еще не будет исправлено.
------- Comment #17 From 2011-08-31 18:52:10 -------
(In reply to comment #16)
> (В ответ на комментарий №13)
> > В p6 поправьте тоже, пожалуйста, т.к. там я уберу export XDG_DATA_DIRS в любом
> > случае.
> С первой сборкой kde4base-workspace в p6 я исправлю shared-mime-info и
> startgnome сам, если к этому времени еще не будет исправлено.

Серега, прекращай ерундой заниматься, -- вставь вперед свой /usr/share/kde,
перед /usr/share. /etc/profile.d/shared-mime-info.* тебе не мешают это сделать.
------- Comment #18 From 2011-08-31 18:59:43 -------
Мне нужно убедиться, что XDG_DATA_DIRS никто не экспортировал, кроме
пользователя.
Юр! Сделай по человечески, пожалуйста.
------- Comment #19 From 2011-09-01 10:03:24 -------
shared-mime-info-0.90-alt3 -> sisyphus:

* Thu Sep 01 2011 Yuri N. Sedunov <aris@altlinux> 0.90-alt3
- XDG_DATA_DIRS variable is not exported any more, finally fixed
  (ALT #26194).
------- Comment #20 From 2011-09-03 21:22:28 -------
FYI, касательно переноса в p6: убирание /etc/profile.d/shared-mime-info.*
сделало полностью нерабочим текущий LXDE.
------- Comment #21 From 2011-09-03 21:56:18 -------
(В ответ на комментарий №20)
> FYI, касательно переноса в p6: убирание /etc/profile.d/shared-mime-info.*
> сделало полностью нерабочим текущий LXDE.

Раз все равно лезть в startxfce4, то сразу зааодно можно поправить и 
https://bugzilla.altlinux.org/show_bug.cgi?id=26163
------- Comment #22 From 2011-09-03 22:13:15 -------
XFCE, на мой взгляд, изничтожение XDG_DATA_DIRS как раз пережил.

Речь идёт об LXDE, #26223 , где теперь не стартует сессия вообще.

Что ещё умерло - вопрос открытый. Как минимум сборка моего zim.